Name:           perl-MaxMind-DB-Common
Version:        0.040001
Release:        4%{?dist}
Summary:        Code shared by the MaxMind DB reader and writer modules
License:        Artistic 2.0
Group:          Development/Libraries
URL:            https://metacpan.org/release/MaxMind-DB-Common
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAXMIND/MaxMind-DB-Common-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(autodie)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper::Concise)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::StrictConstructor)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators
Requires:       perl(autodie)
Requires:       perl(Carp)
Requires:       perl(constant)
Requires:       perl(Data::Dumper::Concise)
Requires:       perl(DateTime)
Requires:       perl(Exporter)
Requires:       perl(List::AllUtils)
Requires:       perl(Math::BigInt)
Requires:       perl(Moo)
Requires:       perl(Moo::Role)
Requires:       perl(MooX::StrictConstructor)
Requires:       perl(namespace::autoclean)
Requires:       perl(overload)
Requires:       perl(Scalar::Util)
Requires:       perl(strict)
Requires:       perl(Sub::Quote)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(MaxMind::DB::Common)

%description
This distribution provides some shared code for use by both the MaxMind DB
reader and writer Perl modules.

%prep
%setup -q -n MaxMind-DB-Common-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json perlcriticrc perltidyrc README.md tidyall.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 22 2020 Greg Wildman <greg@techno.co.za> 0.040001-4
- Specfile autogenerated by cpanspec 1.78.
